<?php
/**
 * Created by PhpStorm.
 * User: yancheng<cheng@love.xiaoyan.me>
 * Date: 2019/6/23
 * Time: 11:14 PM
 */

namespace app\util;

class ErrorCode
{
    /**
     * 用户没有登录
     */
    const USER_NOT_LOGIN = 401;
    /**
     * 参数不足
     */
    const ERROR_PARAM_REQUIRED = 10001;
    /**
     * 参数错误
     */
    const ERROR_PARAM_ERROR = 10002;
    /**
     * @var 缺失用户openid
     */
    const ERROR_OPENID_REQUIRED = 10003;
    //用户
    /**
     * 用户名或密码错误
     */
    const ERROR_ADMIN_LOGIN_PWD = 2101;
    /**
     * 原始密码不正确
     */
    const ERROR_ADMIN_PWD_ERROR = 21010;
    const ADMIN_PWD_EQUAL = 21011;
    /**
     * 输入的密码不一致
     */
    const ERROR_ADMIN_PWD_UN_EQUAL = 21012;

    //用户
    /**
     * 用户不存在
     */
    const ERROR_USER_NOT_EXISTS = 22001;
    const User_Login_Fail = 22002;
    const USER_SAVE_FAIL = 22003;
    const USER_EXISTS = 22004;

    /**
     * 评估
     */
    const EVALUATION_SAVE_FAIL = 23005;
    const EVALUATION_NOT_EXISTS = 23006;

}
